package mapped;

import java.util.EnumSet;
import net.runelite.api.WorldType;
import net.runelite.api.events.WorldListLoad;
import net.runelite.mapping.ObfuscatedGetter;
import net.runelite.mapping.ObfuscatedName;
import net.runelite.mapping.ObfuscatedSignature;
import net.runelite.rs.api.RSWorld;

@ObfuscatedName("cr")
public class World implements RSWorld {
   @ObfuscatedName("au")
   @ObfuscatedGetter(
      intValue = 1768632755
   )
   static int World_count;
   @ObfuscatedName("aa")
   @ObfuscatedGetter(
      intValue = 108763597
   )
   static int World_listCount;
   @ObfuscatedName("ac")
   static int[] World_sortOption2;
   @ObfuscatedName("al")
   static int[] World_sortOption1;
   @ObfuscatedName("ap")
   @ObfuscatedGetter(
      intValue = 30174039
   )
   int id;
   @ObfuscatedName("av")
   @ObfuscatedGetter(
      intValue = -1397081557
   )
   int properties;
   @ObfuscatedName("ax")
   @ObfuscatedGetter(
      intValue = 1175567269
   )
   int population;
   @ObfuscatedName("as")
   String host;
   @ObfuscatedName("ay")
   String activity;
   @ObfuscatedName("ak")
   @ObfuscatedGetter(
      intValue = -411506225
   )
   int location;
   @ObfuscatedName("aj")
   @ObfuscatedGetter(
      intValue = 1981623765
   )
   int index;
   @ObfuscatedName("am")
   String field808;

   static {
      World_count = 0;
      World_listCount = 0;
      World_sortOption2 = new int[]{1, 1, 1, 1};
      World_sortOption1 = new int[]{0, 1, 2, 3};
   }

   @ObfuscatedName("al")
   @ObfuscatedSignature(
      descriptor = "(B)Z",
      garbageValue = "-98"
   )
   boolean isMembersOnly_base() {
      return true; // TODO actually fix it properly ( this just forces all worlds to be members )
   }

   @ObfuscatedName("az")
   @ObfuscatedSignature(
      descriptor = "(B)Z",
      garbageValue = "0"
   )
   boolean isDeadman_base() {
      return (class522.field5109.rsOrdinal_base() & this.properties) != 0;
   }

   @ObfuscatedName("ap")
   @ObfuscatedSignature(
      descriptor = "(B)Z",
      garbageValue = "25"
   )
   boolean method1853_base() {
      return (class522.field5114.rsOrdinal_base() & this.properties) != 0;
   }

   @ObfuscatedName("av")
   @ObfuscatedSignature(
      descriptor = "(I)Z",
      garbageValue = "2092493983"
   )
   boolean isPvp_base() {
      return (class522.field5095.rsOrdinal_base() & this.properties) != 0;
   }

   @ObfuscatedName("ax")
   @ObfuscatedSignature(
      descriptor = "(I)Z",
      garbageValue = "-1744253846"
   )
   boolean method1896_base() {
      return (class522.field5108.rsOrdinal_base() & this.properties) != 0;
   }

   @ObfuscatedName("as")
   @ObfuscatedSignature(
      descriptor = "(S)Z",
      garbageValue = "1917"
   )
   boolean method1856_base() {
      return (class522.field5122.rsOrdinal_base() & this.properties) != 0;
   }

   @ObfuscatedName("ay")
   @ObfuscatedSignature(
      descriptor = "(I)Z",
      garbageValue = "-1429834032"
   )
   boolean isBeta_base() {
      return (class522.field5111.rsOrdinal_base() & this.properties) != 0;
   }

   @ObfuscatedName("ak")
   @ObfuscatedSignature(
      descriptor = "(I)Z",
      garbageValue = "893660966"
   )
   boolean method1858_base() {
      return (class522.field5123.rsOrdinal_base() & this.properties) != 0;
   }

   @ObfuscatedName("aj")
   @ObfuscatedSignature(
      descriptor = "(B)Z",
      garbageValue = "-42"
   )
   boolean method1859_base() {
      return (class522.field5094.rsOrdinal_base() & this.properties) != 0;
   }

   @ObfuscatedName("am")
   @ObfuscatedSignature(
      descriptor = "(B)Z",
      garbageValue = "-15"
   )
   boolean method1869_base() {
      return (class522.field5120.rsOrdinal_base() & this.properties) != 0;
   }

   public int getMask() {
      return this.properties;
   }

   public void setMask(int var1) {
      this.properties = var1;
   }

   @ObfuscatedSignature(
      descriptor = "(I)V",
      garbageValue = "-1"
   )
   public void playerCountChanged(int var1) {
      RSWorld[] var2 = SpriteMask.client.getWorldList();
      if(var2 != null && var2.length > 0 && this == var2[var2.length - 1]) {
         WorldListLoad var3 = new WorldListLoad(var2);
         SpriteMask.client.getCallbacks().post(var3);
      }

   }

   public EnumSet getTypes() {
      return WorldType.fromMask(this.getMask());
   }

   public void setTypes(EnumSet var1) {
      this.setMask(WorldType.toMask(var1));
   }

   public int getId() {
      return this.id;
   }

   public void setId(int var1) {
      this.id = var1;
   }

   public int getPlayerCount() {
      return this.population;
   }

   public void setPlayerCount(int var1) {
      this.population = var1;
   }

   public String getAddress() {
      return this.host;
   }

   public void setAddress(String var1) {
      this.host = var1;
   }

   public String getActivity() {
      return this.activity;
   }

   public void setActivity(String var1) {
      this.activity = var1;
   }

   public int getLocation() {
      return this.location;
   }

   public void setLocation(int var1) {
      this.location = var1;
   }

   public int getIndex() {
      return this.index;
   }

   public void setIndex(int var1) {
      this.index = var1;
   }

   @ObfuscatedName("aa")
   @ObfuscatedSignature(
      descriptor = "([BIII)Ljava/lang/String;",
      garbageValue = "-1248471414"
   )
   public static String decodeStringCp1252_base(byte[] var0, int var1, int var2) {
      char[] var3 = new char[var2];
      int var4 = 0;

      for(int var5 = 0; var5 < var2; ++var5) {
         int var6 = var0[var5 + var1] & 255;
         if(var6 != 0) {
            if(var6 >= 128 && var6 < 160) {
               char var7 = class396.cp1252AsciiExtension[var6 - 128];
               if(var7 == 0) {
                  var7 = '?';
               }

               var6 = var7;
            }

            var3[var4++] = (char)var6;
         }
      }

      return new String(var3, 0, var4);
   }

   @ObfuscatedName("ad")
   @ObfuscatedSignature(
      descriptor = "(ILdt;ZI)I",
      garbageValue = "1960092148"
   )
   static int method1899(int var0, Script var1, boolean var2) {
      String var3;
      if(var0 == 3100) {
         var3 = Interpreter.Interpreter_stringStack[--class127.Interpreter_stringStackSize];
         GrandExchangeOfferUnitPriceComparator.addGameMessage_base(0, "", var3);
         return 1;
      } else if(var0 == 3101) {
         DbTableType.Interpreter_intStackSize -= 2;
         WorldMapLabelSize.method4493(class229.localPlayer, Interpreter.Interpreter_intStack[DbTableType.Interpreter_intStackSize], Interpreter.Interpreter_intStack[DbTableType.Interpreter_intStackSize + 1]);
         return 1;
      } else if(var0 == 3103) {
         if(!Interpreter.field842) {
            Interpreter.field846 = true;
         }

         return 1;
      } else {
         int var10;
         if(var0 == 3104) {
            var3 = Interpreter.Interpreter_stringStack[--class127.Interpreter_stringStackSize];
            var10 = 0;
            if(ClientPacket.isNumber_base(var3)) {
               var10 = Huffman.method6840_base(var3);
            }

            PacketBufferNode var12 = class113.method2919(ClientPacket.RESUME_P_COUNTDIALOG, Client.packetWriter.isaacCipher);
            var12.packetBuffer.writeInt_base(var10);
            Client.packetWriter.method2867(var12);
            return 1;
         } else {
            PacketBufferNode var14;
            if(var0 == 3105) {
               var3 = Interpreter.Interpreter_stringStack[--class127.Interpreter_stringStackSize];
               var14 = class113.method2919(ClientPacket.RESUME_P_NAMEDIALOG, Client.packetWriter.isaacCipher);
               var14.packetBuffer.writeByte_base(var3.length() + 1);
               var14.packetBuffer.writeStringCp1252NullTerminated_base(var3);
               Client.packetWriter.method2867(var14);
               return 1;
            } else if(var0 == 3106) {
               var3 = Interpreter.Interpreter_stringStack[--class127.Interpreter_stringStackSize];
               var14 = class113.method2919(ClientPacket.RESUME_P_STRINGDIALOG, Client.packetWriter.isaacCipher);
               var14.packetBuffer.writeByte_base(var3.length() + 1);
               var14.packetBuffer.writeStringCp1252NullTerminated_base(var3);
               Client.packetWriter.method2867(var14);
               return 1;
            } else {
               String var7;
               int var8;
               if(var0 == 3107) {
                  var8 = Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize];
                  var7 = Interpreter.Interpreter_stringStack[--class127.Interpreter_stringStackSize];
                  class402.method7472_base(var8, var7);
                  return 1;
               } else if(var0 == 3108) {
                  DbTableType.Interpreter_intStackSize -= 3;
                  var8 = Interpreter.Interpreter_intStack[DbTableType.Interpreter_intStackSize];
                  var10 = Interpreter.Interpreter_intStack[DbTableType.Interpreter_intStackSize + 1];
                  int var9 = Interpreter.Interpreter_intStack[DbTableType.Interpreter_intStackSize + 2];
                  Widget var13 = HealthBarDefinition.widgetDefinition.method6287(var9);
                  HorizontalAlignment.method3685(var13, var8, var10);
                  return 1;
               } else if(var0 == 3109) {
                  DbTableType.Interpreter_intStackSize -= 2;
                  var8 = Interpreter.Interpreter_intStack[DbTableType.Interpreter_intStackSize];
                  var10 = Interpreter.Interpreter_intStack[DbTableType.Interpreter_intStackSize + 1];
                  Widget var11 = var2?Interpreter.scriptDotWidget:HealthBar.scriptActiveWidget;
                  HorizontalAlignment.method3685(var11, var8, var10);
                  return 1;
               } else if(var0 == 3110) {
                  class19.mouseCam = Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize] == 1;
                  return 1;
               } else if(var0 == 3111) {
                  Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = WorldMapIcon_1.clientPreferences.method2541_base()?1:0;
                  return 1;
               } else if(var0 == 3112) {
                  WorldMapIcon_1.clientPreferences.method2540_base(Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize] == 1);
                  return 1;
               } else if(var0 == 3113) {
                  var3 = Interpreter.Interpreter_stringStack[--class127.Interpreter_stringStackSize];
                  boolean var4 = Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize] == 1;
                  HealthBar.openURL_base(var3, var4, false);
                  return 1;
               } else if(var0 == 3115) {
                  var8 = Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize];
                  var14 = class113.method2919(ClientPacket.RESUME_P_OBJDIALOG, Client.packetWriter.isaacCipher);
                  var14.packetBuffer.writeShort_base(var8);
                  Client.packetWriter.method2867(var14);
                  return 1;
               } else if(var0 == 3116) {
                  var8 = Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize];
                  class127.Interpreter_stringStackSize -= 2;
                  var7 = Interpreter.Interpreter_stringStack[class127.Interpreter_stringStackSize];
                  String var5 = Interpreter.Interpreter_stringStack[class127.Interpreter_stringStackSize + 1];
                  if(var7.length() > 500) {
                     return 1;
                  } else if(var5.length() > 500) {
                     return 1;
                  } else {
                     PacketBufferNode var6 = class113.method2919(ClientPacket.BUG_REPORT, Client.packetWriter.isaacCipher);
                     var6.packetBuffer.writeShort_base(1 + ClanChannel.stringCp1252NullTerminatedByteSize_base(var7) + ClanChannel.stringCp1252NullTerminatedByteSize_base(var5));
                     var6.packetBuffer.writeStringCp1252NullTerminated_base(var5);
                     var6.packetBuffer.writeStringCp1252NullTerminated_base(var7);
                     var6.packetBuffer.writeByteAdd_base(var8);
                     Client.packetWriter.method2867(var6);
                     return 1;
                  }
               } else if(var0 == 3117) {
                  --DbTableType.Interpreter_intStackSize;
                  return 1;
               } else if(var0 == 3118) {
                  Client.showMouseOverText = Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize] == 1;
                  return 1;
               } else if(var0 == 3119) {
                  Client.field615 = Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize] == 1;
                  return 1;
               } else if(var0 == 3120) {
                  if(Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize] == 1) {
                     Client.drawPlayerNames |= 1;
                  } else {
                     Client.drawPlayerNames &= -2;
                  }

                  return 1;
               } else if(var0 == 3121) {
                  if(Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize] == 1) {
                     Client.drawPlayerNames |= 2;
                  } else {
                     Client.drawPlayerNames &= -3;
                  }

                  return 1;
               } else if(var0 == 3122) {
                  if(Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize] == 1) {
                     Client.drawPlayerNames |= 4;
                  } else {
                     Client.drawPlayerNames &= -5;
                  }

                  return 1;
               } else if(var0 == 3123) {
                  if(Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize] == 1) {
                     Client.drawPlayerNames |= 8;
                  } else {
                     Client.drawPlayerNames &= -9;
                  }

                  return 1;
               } else if(var0 == 3124) {
                  Client.drawPlayerNames = 0;
                  return 1;
               } else if(var0 == 3125) {
                  Client.showMouseCross = Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize] == 1;
                  return 1;
               } else if(var0 == 3126) {
                  Client.showLoadingMessages = Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize] == 1;
                  return 1;
               } else if(var0 == 3127) {
                  IgnoreList.setTapToDrop_base(Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize] == 1);
                  return 1;
               } else if(var0 == 3128) {
                  Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = Strings.getTapToDrop_base()?1:0;
                  return 1;
               } else if(var0 == 3129) {
                  DbTableType.Interpreter_intStackSize -= 2;
                  Client.oculusOrbNormalSpeed = Interpreter.Interpreter_intStack[DbTableType.Interpreter_intStackSize];
                  Client.oculusOrbSlowedSpeed = Interpreter.Interpreter_intStack[DbTableType.Interpreter_intStackSize + 1];
                  return 1;
               } else if(var0 == 3130) {
                  DbTableType.Interpreter_intStackSize -= 2;
                  return 1;
               } else if(var0 == 3131) {
                  --DbTableType.Interpreter_intStackSize;
                  return 1;
               } else if(var0 == 3132) {
                  Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = Language.canvasWidth;
                  Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = class47.canvasHeight;
                  return 1;
               } else if(var0 == 3133) {
                  --DbTableType.Interpreter_intStackSize;
                  return 1;
               } else if(var0 == 3134) {
                  return 1;
               } else if(var0 == 3135) {
                  DbTableType.Interpreter_intStackSize -= 2;
                  return 1;
               } else if(var0 == 3136) {
                  Client.field659 = 3;
                  Client.field660 = Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize];
                  return 1;
               } else if(var0 == 3137) {
                  Client.field659 = 2;
                  Client.field660 = Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize];
                  return 1;
               } else if(var0 == 3138) {
                  Client.field659 = 0;
                  return 1;
               } else if(var0 == 3139) {
                  Client.field659 = 1;
                  return 1;
               } else if(var0 == 3140) {
                  Client.field659 = 3;
                  Client.field660 = var2?Interpreter.scriptDotWidget.id:HealthBar.scriptActiveWidget.id;
                  return 1;
               } else {
                  boolean var15;
                  if(var0 == 3141) {
                     var15 = Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize] == 1;
                     WorldMapIcon_1.clientPreferences.method2583_base(var15);
                     return 1;
                  } else if(var0 == 3142) {
                     Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = WorldMapIcon_1.clientPreferences.method2543_base()?1:0;
                     return 1;
                  } else if(var0 == 3143) {
                     var15 = Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize] == 1;
                     Client.Login_isUsernameRemembered = var15;
                     if(!var15) {
                        WorldMapIcon_1.clientPreferences.method2586_base("");
                     }

                     return 1;
                  } else if(var0 == 3144) {
                     Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = Client.Login_isUsernameRemembered?1:0;
                     return 1;
                  } else if(var0 == 3145) {
                     return 1;
                  } else if(var0 == 3146) {
                     var15 = Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize] == 1;
                     WorldMapIcon_1.clientPreferences.method2571_base(!var15);
                     return 1;
                  } else if(var0 == 3147) {
                     Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = WorldMapIcon_1.clientPreferences.method2631_base()?0:1;
                     return 1;
                  } else if(var0 == 3148) {
                     return 1;
                  } else if(var0 == 3149) {
                     Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = 0;
                     return 1;
                  } else if(var0 == 3150) {
                     Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = 0;
                     return 1;
                  } else if(var0 == 3151) {
                     Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = 0;
                     return 1;
                  } else if(var0 == 3152) {
                     Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = 0;
                     return 1;
                  } else if(var0 == 3153) {
                     Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = Login.Login_loadingPercent;
                     return 1;
                  } else if(var0 == 3154) {
                     Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = WorldMapData_1.method4797_base();
                     return 1;
                  } else if(var0 == 3155) {
                     --class127.Interpreter_stringStackSize;
                     return 1;
                  } else if(var0 == 3156) {
                     return 1;
                  } else if(var0 == 3157) {
                     DbTableType.Interpreter_intStackSize -= 2;
                     return 1;
                  } else if(var0 == 3158) {
                     Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = 0;
                     return 1;
                  } else if(var0 == 3159) {
                     Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = 0;
                     return 1;
                  } else if(var0 == 3160) {
                     Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = 0;
                     return 1;
                  } else if(var0 == 3161) {
                     --DbTableType.Interpreter_intStackSize;
                     Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = 0;
                     return 1;
                  } else if(var0 == 3162) {
                     --DbTableType.Interpreter_intStackSize;
                     Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = 0;
                     return 1;
                  } else if(var0 == 3163) {
                     --class127.Interpreter_stringStackSize;
                     Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = 0;
                     return 1;
                  } else if(var0 == 3164) {
                     --DbTableType.Interpreter_intStackSize;
                     Interpreter.Interpreter_stringStack[++class127.Interpreter_stringStackSize - 1] = "";
                     return 1;
                  } else if(var0 == 3165) {
                     --DbTableType.Interpreter_intStackSize;
                     Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = 0;
                     return 1;
                  } else if(var0 == 3166) {
                     DbTableType.Interpreter_intStackSize -= 2;
                     Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = 0;
                     return 1;
                  } else if(var0 == 3167) {
                     DbTableType.Interpreter_intStackSize -= 2;
                     Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = 0;
                     return 1;
                  } else if(var0 == 3168) {
                     DbTableType.Interpreter_intStackSize -= 2;
                     Interpreter.Interpreter_stringStack[++class127.Interpreter_stringStackSize - 1] = "";
                     Interpreter.Interpreter_stringStack[++class127.Interpreter_stringStackSize - 1] = "";
                     Interpreter.Interpreter_stringStack[++class127.Interpreter_stringStackSize - 1] = "";
                     Interpreter.Interpreter_stringStack[++class127.Interpreter_stringStackSize - 1] = "";
                     Interpreter.Interpreter_stringStack[++class127.Interpreter_stringStackSize - 1] = "";
                     Interpreter.Interpreter_stringStack[++class127.Interpreter_stringStackSize - 1] = "";
                     Interpreter.Interpreter_stringStack[++class127.Interpreter_stringStackSize - 1] = "";
                     Interpreter.Interpreter_stringStack[++class127.Interpreter_stringStackSize - 1] = "";
                     Interpreter.Interpreter_stringStack[++class127.Interpreter_stringStackSize - 1] = "";
                     return 1;
                  } else if(var0 == 3169) {
                     return 1;
                  } else if(var0 == 3170) {
                     Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = 0;
                     return 1;
                  } else if(var0 == 3171) {
                     Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = 0;
                     return 1;
                  } else if(var0 == 3172) {
                     --DbTableType.Interpreter_intStackSize;
                     return 1;
                  } else if(var0 == 3173) {
                     --DbTableType.Interpreter_intStackSize;
                     Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = 0;
                     return 1;
                  } else if(var0 == 3174) {
                     --DbTableType.Interpreter_intStackSize;
                     return 1;
                  } else if(var0 == 3175) {
                     Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = 0;
                     return 1;
                  } else if(var0 == 3176) {
                     return 1;
                  } else if(var0 == 3177) {
                     return 1;
                  } else if(var0 == 3178) {
                     --class127.Interpreter_stringStackSize;
                     return 1;
                  } else if(var0 == 3179) {
                     return 1;
                  } else if(var0 == 3180) {
                     --class127.Interpreter_stringStackSize;
                     return 1;
                  } else if(var0 == 3181) {
                     class311.method5940_base(Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize]);
                     return 1;
                  } else if(var0 == 3182) {
                     Interpreter.Interpreter_intStack[++DbTableType.Interpreter_intStackSize - 1] = class216.method4235_base();
                     return 1;
                  } else if(var0 == 3189) {
                     var8 = Interpreter.Interpreter_intStack[--DbTableType.Interpreter_intStackSize];
                     class240.method4808_base(var8);
                     return 1;
                  } else {
                     return 2;
                  }
               }
            }
         }
      }
   }
}
